#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, t;
    cin >> t;
    int arr[4];
    for (int i = 0; i < t; i++){
        cin >> n;
        cin >> arr[0] >> arr[1] >> arr[2] >> arr[3];
        sort(arr, arr+4);
        swap(arr[1], arr[2]);
        swap(arr[1], arr[0]);
        if (arr[0]+arr[2] >= 2*arr[1] && arr[1]+arr[3] >= 2*arr[2]) cout << "YES";
        else cout << "NO";
        cout << endl;
    }
}
